/* GSI - general sound interface
 *
 * device.h - device abstraction
 *
 * dd 1999 - 2001 by W.H.Scholten
 *
 * This file is released to the public domain.
 */


#ifndef _GSI__device_h
#define _GSI__device_h

#include <sys/time.h>


/*---------------------------------------------------------------------------*
 *      generic device (common to cd, pcm, synth)
 *---------------------------------------------------------------------------*/
typedef struct gsi_generic_device {
	char *device; /* the device to open, e.g. /dev/cdrom */
	char id[32];
} gsi_generic_device_t;

typedef struct gsi_generic_devicestatus {
	int  dev; /* weg ? */
	int  fd;
	int  fd_ct;
} gsi_generic_devicestatus_t;


#endif /* _GSI__device_h */
